# Class CIM_RebootAction
extends CIM_Action

RebootAction causes a reboot of the computer system that defines the Action's environment.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Action
|
+--CIM_RebootAction

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | RebootAction causes a reboot of the computer system that defines the Action's environment.
UMLPackagePath | string | CIM::Application::CheckAction
Version | string | 2.6.0

## Class Properties

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
ActionID | string | CIM_Action
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
Direction | uint16 | CIM_Action
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_Action
SoftwareElementID | string | CIM_Action
SoftwareElementState | uint16 | CIM_Action
TargetOperatingSystem | uint16 | CIM_Action
Version | string | CIM_Action

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
Invoke | uint32 | CIM_Action
InvokeOnSystem | uint32 | CIM_Action